App\Library\Amazon\Classes\ProtectiveClothing:
    xml_root_name: ProtectiveClothing
    properties:
        areBatteriesIncluded:
            expose: true
            access_type: public_method
            serialized_name: AreBatteriesIncluded
            accessor:
                getter: getAreBatteriesIncluded
                setter: setAreBatteriesIncluded
            type: boolean
        batteriesRequired:
            expose: true
            access_type: public_method
            serialized_name: BatteriesRequired
            accessor:
                getter: getBatteriesRequired
                setter: setBatteriesRequired
            type: boolean
        closureType:
            expose: true
            access_type: public_method
            serialized_name: ClosureType
            accessor:
                getter: getClosureType
                setter: setClosureType
            type: string
        fitType:
            expose: true
            access_type: public_method
            serialized_name: FitType
            accessor:
                getter: getFitType
                setter: setFitType
            type: string
        includesRechargableBattery:
            expose: true
            access_type: public_method
            serialized_name: IncludesRechargableBattery
            accessor:
                getter: getIncludesRechargableBattery
                setter: setIncludesRechargableBattery
            type: boolean
        innerMaterialType:
            expose: true
            access_type: public_method
            serialized_name: InnerMaterialType
            accessor:
                getter: getInnerMaterialType
                setter: setInnerMaterialType
            type: string
        insoleMaterialType:
            expose: true
            access_type: public_method
            serialized_name: InsoleMaterialType
            accessor:
                getter: getInsoleMaterialType
                setter: setInsoleMaterialType
            type: string
        materialComposition:
            expose: true
            access_type: public_method
            serialized_name: MaterialComposition
            accessor:
                getter: getMaterialComposition
                setter: setMaterialComposition
            type: string
        outerMaterialType:
            expose: true
            access_type: public_method
            serialized_name: OuterMaterialType
            accessor:
                getter: getOuterMaterialType
                setter: setOuterMaterialType
            type: string
        seasons:
            expose: true
            access_type: public_method
            serialized_name: Seasons
            accessor:
                getter: getSeasons
                setter: setSeasons
            type: string
        sleeveLength:
            expose: true
            access_type: public_method
            serialized_name: SleeveLength
            accessor:
                getter: getSleeveLength
                setter: setSleeveLength
            type: App\Library\Amazon\Classes\ClothingSizeDimensionType
        targetAudience:
            expose: true
            access_type: public_method
            serialized_name: TargetAudience
            accessor:
                getter: getTargetAudience
                setter: setTargetAudience
            type: string
        waistSize:
            expose: true
            access_type: public_method
            serialized_name: WaistSize
            accessor:
                getter: getWaistSize
                setter: setWaistSize
            type: App\Library\Amazon\Classes\ClothingSizeDimensionType
